import React, { useState } from "react";
import { Form } from "react-bootstrap";

function EditableCell(props) {
  const [data, setData] = useState(props.value);
  const [editing, setEditing] = useState(false);

  if (props.ro || !editing) {
    return <td onClick={() => setEditing(true)}>{props.value}</td>;
  }

  const submit = (e) => {
    e.preventDefault();
    props.onChange(data);
    setEditing(false);
  };

  return (
    <td>
      <Form onSubmit={submit}>
        <Form.Control
          value={data}
          onChange={(e) => setData(e.target.value)}
          onBlur={() => setEditing(false)}
        />
      </Form>
    </td>
  );
}

export default EditableCell;
